//@+leo

//@+node:0::@file src/about.c
//@+body
//@@language c
/*
    rox-tasklist    provides a tasklist for the rox desktop
    Copyright (C) 2002  Robert Lowe

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    The author may be contacted at pngwen@acm.org
*/


//@<< about #includes >>
//@+node:1::<< about #includes >>
//@+body
#include <gtk/gtk.h>
#include "about.h"

//@-body
//@-node:1::<< about #includes >>


//@<< about declarations >>
//@+node:2::<< about declarations >>
//@+body

GtkWidget* aboutwin = NULL;
char * aboutmsg = "rox-tasklist\nhttp://www.metabocks.com/rox\n\nBrought to you by:\nRobert Lowe - pngwen@acm.org\nJohn Williams - siliconavatar@acm.org";

//@-body
//@-node:2::<< about declarations >>


//@+others
//@+node:3::about_close
//@+body
void about_close(GtkWidget* widget, gpointer data)
{
  if (aboutwin)
    gtk_widget_destroy(aboutwin);
  aboutwin = NULL;
}

//@-body
//@-node:3::about_close
//@+node:4::about
//@+body
void about(GtkWidget* widget, gpointer data)
{
  GtkWidget* button;
  GtkWidget* label;
  GtkWidget* hbox;
  GtkWidget* box;

  if (aboutwin)
  {
    gtk_widget_show(aboutwin);
    return;
  }

  aboutwin = gtk_window_new(GTK_WINDOW_DIALOG);
  gtk_window_set_policy(GTK_WINDOW(aboutwin), FALSE, FALSE, TRUE);
  gtk_signal_connect_object(GTK_OBJECT(aboutwin), "destroy",
                            GTK_SIGNAL_FUNC(about_close), NULL);

  hbox = gtk_hbox_new(FALSE, 5);
  gtk_container_add(GTK_CONTAINER(aboutwin), hbox);

  box = gtk_vbox_new(FALSE, 5);
  gtk_box_pack_start(GTK_BOX(hbox), box, FALSE, FALSE, 5);

  label = gtk_label_new(aboutmsg);
  gtk_box_pack_start(GTK_BOX(box), label, FALSE, FALSE, 5);

  button = gtk_button_new_with_label("Close");
  gtk_signal_connect(GTK_OBJECT(button), "clicked",
                     GTK_SIGNAL_FUNC(about_close), NULL);
  gtk_box_pack_start(GTK_BOX(box), button, FALSE, FALSE, 5);

  gtk_widget_grab_focus(button);

  gtk_widget_show_all(aboutwin);
}

//@-body
//@-node:4::about
//@-others


//@-body
//@-node:0::@file src/about.c
//@-leo
