//@+leo

//@+node:0::@file src/config-gui.h
//@+body
//@@language c

/*
    rox-tasklist    provides a tasklist for the rox desktop
    Copyright (C) 2002  Robert Lowe

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    The author may be contacted at pngwen@acm.org
*/
#include<gtk/gtk.h>

#ifndef CONFIGGUI_DEFINED
#define CONFIGGUI_DEFINED


/* configuration options data type, contains all
   configuration option */
#define SCROLLED 0
#define NONSCROLLED 1
#define DEFAULT_WIDTH 400
#define HEIGHT 60
struct config_options_type
{
  GdkColor text_color_normal;
  GdkColor text_color_iconified;
  GdkColor text_color_focused;
  GdkColor button_color_normal;
  GdkColor button_color_iconified;
  GdkColor button_color_focused;

  GList* ignore_windows;
  int mode;  /* 0 for scrolled mode, 1 for nonscrolled mode */
  int width;

};
typedef struct config_options_type config_options_type;

/* init config options from Choices */
void configure_init();

/* creates the configure window */
void configure(GtkWidget * window, gpointer data);

int ignore_list_check(char* wname);

#endif

//@-body
//@-node:0::@file src/config-gui.h
//@-leo
