//@+leo

//@+node:0::@file src/task-gui.h
//@+body
//@@language c

/*
    rox-tasklist    provides a tasklist for the rox desktop
    Copyright (C) 2002  Robert Lowe

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    The author may be contacted at pngwen@acm.org
*/
#include<gtk/gtk.h>
#include"globals.h"


#ifndef TASKGUI_DEFINED
#define TASKGUI_DEFINED
#include "xfun.h"



struct taskbutton_type
{
  GtkWidget* button;  /* the button itself */
  GtkWidget* label;   /* the label int the button */
  GtkWidget* box;     /* the box this thing is contained in */
  task_type* task;
  guint pressed_handler;  /* ID of the pressed handler */
  guint release_handler;  /* ID of the released handler */
  guint leave_handler;    /* ID of the leave handler */
};

typedef struct taskbutton_type taskbutton_type;

/* set focus on this task button  */
void taskbutton_focus(taskbutton_type* task);

/* unset focus on this task button */
void taskbutton_unfocus(taskbutton_type* task);

/* creates a taskbutton */
taskbutton_type* taskbutton_new(task_type* task);

/* adds the taskbutton to a vbox and displays it */
void taskbutton_display(taskbutton_type* task);

/* destroys a task button and undisplays it */
void taskbutton_destroy(taskbutton_type* task);

/* iconify this task button */
void taskbutton_iconify(taskbutton_type* task);

/* normal state for task button */
void taskbutton_normalfy(taskbutton_type* task);

/* update's task info on display */
void update_task_display(taskbutton_type* task);

/* create the menu */
void taskMenu_init();

/* in non scrolled mode, call this after all displays and updates to correct the size */
void taskbutton_size_handler();

#endif

//@-body
//@-node:0::@file src/task-gui.h
//@-leo
